NAMEI(1)

NAME
namei - follow a pathname until a terminal point is found

SYNOPSIS

namei [options] pathname...

DESCRIPTION

namei interprets its arguments as pathnames to any type of Unix file (symlinks, files, directories, and so forth). namei then follows each pathname until an endpoint is found (a file, a directory, a device node, etc). If it finds a symbolic link, it shows the link, and starts following it, indenting the output to show the context.

This program is useful for finding "too many levels of symbolic links" problems.

For each line of output, namei uses the following characters to identify the file type found:

       f: = the pathname currently being resolved
        d = directory
        l = symbolic link (both the link and its contents are output)
        s = socket
        b = block device
        c = character device
        p = FIFO (named pipe)
        - = regular file
        ? = an error of some kind

namei prints an informative message when the maximum number of symbolic links this system can have has been exceeded.

OPTIONS

-l, --long
    Use the long listing format (same as -m -o -v).

-m, --modes
    Show the mode bits of each file type in the style of ls(1), for example 'rwxr-xr-x'.

-n, --nosymlinks
    Don’t follow symlinks.

-o, --owners
    Show owner and group name of each file.

-v, --vertical
    Vertically align the modes and owners.

-x, --mountpoints
    Show mountpoint directories with a 'D' rather than a 'd'.

-Z, --context
    Show security context of the file or "?" if not available. The support for security contexts is optional and does not have to be compiled to the namei binary.

-h, --help
    Display help text and exit.

-V, --version
    Display version and exit.

BUGS

To be discovered.

AUTHORS

The original namei program was written by

The program was rewritten by

SEE ALSO

ls(1), stat(1), symlink(7)

REPORTING BUGS

For bug reports, use the

AVAILABILITY

The namei command is part of the util-linux package which can be downloaded from